<?php

namespace loyalsoft;

include __DIR__ . '/main.php';
echoLine("phpver: " . PHP_VERSION . PHP_EOL);

//SelfChecker::CheckAll();
//
//set_time_limit(15);                                                           # 设置执行超时时间
//
// 
echo number_format(1.0125, 2, '.', '');
//$arr = GameConfig::plot_getItem(1001, 0);               # 查找对应的剧情
//var_dump($arr);
//foreach ($arr as $plot) {
//    isEditor() and $plot = new \sm_plot();
//    var_dump($plot);
//}

$i = 9;

var_dump($i++);
var_dump($i);
$user = ObjectInit();
$user->name = "wg";

class A {

    public $B = "王刚";

    function &B() {

        echoLine(__FUNCTION__);
        echoLine(__METHOD__);
        $name = __FUNCTION__;
        echoLine($this->$name);
        echoLine(nameof($this->B));
        return $this->B;
    }

}

$tabName = 'tab_guild';
$ret = GuildProc::getMemUserGuildInfo("gw", 1);
$keywords = "";
var_dump(strlen($keywords));
//
//$sqlret = daoInst()->select()->from($tabName)
//                ->where("`zoneid`=$zoneid and (`guildId`='$keywords' OR `name` like '%$keywords%')")
//                ->limit(10)->fetchAll();
////var_dump($sqlret);
//$startIndex = 8;
//$dbret = daoInst()->select()->from(GuildProc::tabGuild)
//        ->where('zoneid')->eq($zoneid)
//        ->limit("$startIndex ,20")
//        ->fetchAll();
//var_dump($dbret);
//Err(1005);
//var_dump(Resp::err(3503, "时尚杂志opencv"));
